summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2020-11-23 09:51:10 +0100
committerBernard Cafarelli <voyageur@gentoo.org>2020-11-23 09:51:10 +0100
commitf7e6c2c119d24e8709d518e382bf0891b4fc85d0 (patch)
tree2054b60ff960c564a72e3aab64f3125382632200 /media-gfx/geeqie
parentdev-db/pg_activity: version bump to 1.6.2 (diff)
downloadgentoo-f7e6c2c119d24e8709d518e382bf0891b4fc85d0.tar.gz
gentoo-f7e6c2c119d24e8709d518e382bf0891b4fc85d0.tar.bz2
gentoo-f7e6c2c119d24e8709d518e382bf0891b4fc85d0.zip
media-gfx/geeqie: migrate to lua-single eclass
Closes: https://bugs.gentoo.org/752744 Package-Manager: Portage-3.0.10, Repoman-3.0.2 Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>
Diffstat (limited to 'media-gfx/geeqie')
-rw-r--r--media-gfx/geeqie/geeqie-1.5.1-r1.ebuild96
-rw-r--r--media-gfx/geeqie/geeqie-9999.ebuild8
2 files changed, 101 insertions, 3 deletions
diff --git a/media-gfx/geeqie/geeqie-1.5.1-r1.ebuild b/media-gfx/geeqie/geeqie-1.5.1-r1.ebuild
new file mode 100644
index 00000000000..f0063ff9ba0
--- /dev/null
+++ b/media-gfx/geeqie/geeqie-1.5.1-r1.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+LUA_COMPAT=( lua5-{1..3} )
+
+inherit autotools lua-single xdg
+
+DESCRIPTION="A lightweight GTK image viewer forked from GQview"
+HOMEPAGE="http://www.geeqie.org"
+SRC_URI="http://www.geeqie.org/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc exif ffmpegthumbnailer gpu-accel gtk3 jpeg lcms lirc lua map nls pdf tiff xmp"
+
+RDEPEND="
+ virtual/libintl
+ doc? ( app-text/gnome-doc-utils )
+ ffmpegthumbnailer? ( media-video/ffmpegthumbnailer )
+ gpu-accel? ( media-libs/clutter-gtk )
+ gtk3? ( x11-libs/gtk+:3 )
+ !gtk3? ( x11-libs/gtk+:2 )
+ jpeg? ( virtual/jpeg:0 )
+ lcms? ( media-libs/lcms:2 )
+ lirc? ( app-misc/lirc )
+ lua? ( ${LUA_DEPS} )
+ map? ( media-libs/libchamplain:0.12 )
+ pdf? ( >=app-text/poppler-0.62[cairo] )
+ tiff? ( media-libs/tiff:0 )
+ xmp? ( >=media-gfx/exiv2-0.17:=[xmp] )
+ !xmp? ( exif? ( >=media-gfx/exiv2-0.17:= ) )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-util/glib-utils
+ dev-util/intltool
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )"
+
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )
+ gpu-accel? ( gtk3 )
+ map? ( gpu-accel )"
+
+PATCHES=( "${FILESDIR}"/${P}-no_common.patch )
+
+src_prepare() {
+ default
+
+ # Remove -Werror (gcc changes may add new warnings)
+ sed -e '/CFLAGS/s/-Werror //g' -i configure.ac || die
+
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --with-readmedir="${EPREFIX}"/usr/share/doc/${PF}
+ $(use_enable debug debug-log)
+ $(use_enable ffmpegthumbnailer)
+ $(use_enable gpu-accel)
+ $(use_enable gtk3)
+ $(use_enable jpeg)
+ $(use_enable lcms)
+ $(use_enable lua)
+ $(use_enable lirc)
+ $(use_enable map)
+ $(use_enable nls)
+ $(use_enable pdf)
+ $(use_enable tiff)
+ )
+
+ if use exif || use xmp; then
+ myeconfargs+=( --enable-exiv2 )
+ else
+ myeconfargs+=( --disable-exiv2)
+ fi
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ rm -f "${D}/usr/share/doc/${PF}/COPYING"
+ # Application needs access to the uncompressed file
+ docompress -x /usr/share/doc/${PF}/README.md
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ elog "Some plugins may require additional packages"
+ elog "- Image rotate plugin: media-gfx/fbida (JPEG), media-gfx/imagemagick (TIFF/PNG)"
+ elog "- RAW images plugin: media-gfx/ufraw"
+}
diff --git a/media-gfx/geeqie/geeqie-9999.ebuild b/media-gfx/geeqie/geeqie-9999.ebuild
index aef56eaf8ba..b9db7c038a2 100644
--- a/media-gfx/geeqie/geeqie-9999.ebuild
+++ b/media-gfx/geeqie/geeqie-9999.ebuild
@@ -2,8 +2,9 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+LUA_COMPAT=( lua5-{1..3} )
-inherit autotools git-r3 xdg
+inherit autotools git-r3 lua-single xdg
DESCRIPTION="A lightweight GTK image viewer forked from GQview"
HOMEPAGE="http://www.geeqie.org"
@@ -26,7 +27,7 @@ RDEPEND="
jpeg? ( virtual/jpeg:0 )
lcms? ( media-libs/lcms:2 )
lirc? ( app-misc/lirc )
- lua? ( >=dev-lang/lua-5.1:= )
+ lua? ( ${LUA_DEPS} )
map? ( media-libs/libchamplain:0.12 )
pdf? ( >=app-text/poppler-0.62[cairo] )
tiff? ( media-libs/tiff:0 )
@@ -39,7 +40,8 @@ BDEPEND="
virtual/pkgconfig
nls? ( sys-devel/gettext )"
-REQUIRED_USE="gpu-accel? ( gtk3 )
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )
+ gpu-accel? ( gtk3 )
map? ( gpu-accel )"
src_prepare() {